org.gradle.tooling.model.build

## Interface BuildEnvironment

- All Superinterfaces:
    Model

      public interface BuildEnvironment
      extends Model

  Informs about the build environment, like Gradle version or the Java home in use.

  Example:

       ProjectConnection connection = GradleConnector.newConnector()
          .forProjectDirectory(new File("someProjectFolder"))
          .connect();

       try {
          BuildEnvironment env = connection.getModel(BuildEnvironment.class);
          System.out.println("Gradle version: " + env.getGradle().getGradleVersion());
          System.out.println("Java home: " + env.getJava().getJavaHome());
       } finally {
          connection.close();
       }

  Since:
    1.0-milestone-8

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GradleEnvironment` | `getGradle()` Returns information about the Gradle environment, for example the Gradle version.
    `JavaEnvironment` | `getJava()` Returns information about the Java environment, for example the Java home or the JVM args used.

- - ### Method Detail

    - #### getGradle

          GradleEnvironment getGradle()

      Returns information about the Gradle environment, for example the Gradle version.
      Since:
        1.0-milestone-8

    - #### getJava

          JavaEnvironment getJava()
                                  throws UnsupportedMethodException

      Returns information about the Java environment, for example the Java home or the JVM args used.
      Throws:
        `UnsupportedMethodException` - when the Gradle version the tooling API is connected to does not support the Java environment information.
      Since:
        1.0-milestone-8